> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-8/v8-12/v8-12-1.md).

# Version 8.12.1 Changelog (2023-05-02)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

* Removed the minimum font size limit for text widgets
* Changed link XFDF deserialization to replace existing actions with the incoming actions.

### Fixes

* Fixed issue where resizing a very small stamp annotation could throw an error.
* Fixed ViewerDigitalSignatureValidationTest sample not working when providing URL to certificate or PDF.
* Fixed an issue with Ellipse annotations where measurement captions would not appear if fill colour was set.
* Fixed dotted lines rendering incorrectly
* Fixed SemanticDiff throwing exceptions
* Fixed FreeText editing bug in VirtualDisplayMode
* Fixed the issue where imported distance measurement annotation doesn't show caption right away
* Fixed rendering issues with Office documents
* Fixed an issue with canvases which was appending new page numbers to their class names instead of replacing them
* Fixed disableObjectUrlBlobs option not working for Office Worker files without CSP rule
* Fixed input validation to prevent Javascript injection in PDF Link Annotations

## WebViewer UI

### Fixes

* Fixed bug where the password modal could not be closed when using WebViewer Server.
* Fixed incorrect popup tooltip
* Fixed extra “annotationChanged” event when adding a comment in note panel
* Fixed issue with signature being unable to open after WebViewer first initialized
* Fixed UI fonts issue in Salesforce
* Fixed issue where the new scale button text would overflow in certain languages.
* Fixed radius update in Ellipse Measurement scale overlay not affecting annotation caption
* Fixed FreeTextAnnotations resizing when Auto Size is disabled
* Fixed Search Panel results not updating when deleting or moving pages


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/changelogs/version-8/v8-12/v8-12-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
